View Issue Details

IDProjectCategoryView StatusLast Update
0037140LazarusIDEpublic2020-06-25 03:46
ReporterSimon Booth Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
Product Version2.0.9 (SVN) 
Summary0037140: MacOS build errors for cocoascrollers
DescriptionReported as fixed 0036864

Start IDE with FPC fixes_3_2 + Laz fixes_2_0 - ignore editormacro warning

Rebuild Normal IDE from Tools menu

cocoascrollers.pas(53,15) Error: There is no method in an ancestor class to be overridden: "setDocumentView(NSView);"
cocoascrollers.pas(53,15) Error: Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
cocoascrollers.pas(53,15) Error: Mismatch between number of declared parameters and number of colons in message string.
TagsNo tags attached.
Fixed in Revision63409
LazTarget-
Widgetset
Attached Files

Relationships

has duplicate 0037180 closedDmitry Boyarintsev Cocoa interface fails to be built 
has duplicate 0037181 closedDmitry Boyarintsev Cocoa interface fails to be built 
related to 0037236 closedDmitry Boyarintsev MacOS build errors for cocoascrollers 

Activities

Dmitry Boyarintsev

2020-06-07 05:15

developer   ~0123287

The issue will not be fixed, until FPC 3.2 will be released OR 3.2rc2 is available for download.

Currently available version to download is RC1
ftp://ftp.freepascal.org/pub/fpc/beta/3.2.0-rc1/
it seems to be compiling with sources.

The fix might break the compatibility with the downloadable version.
Use of the provided patches IS ENCOURAGED, if anyone is using SVN version of fpc.

Dmitry Boyarintsev

2020-06-21 01:07

developer   ~0123492

fpc 3.2.0 has been officially released.
the declaration has been corrected, it should now compile.
please test and close if ok

Simon Booth

2020-06-22 01:45

reporter   ~0123508

Still broken with exactly the same issue

Note that this issue can't be replicated from a command line build. You need a Mac, start Lazarus then select Build Lazarus with Profile: Normal IDE from the Tools menu.

The IDE not building prevents the installation of any extra components

Dmitry Boyarintsev

2020-06-22 04:10

developer   ~0123509

1) do you've local changes to the file?
2) are you using fpc3.2.0 release or RC?

Simon Booth

2020-06-22 23:43

reporter   ~0123523

I have just completed the process of doing a factory reset / install of MacOS (wipe disk, install Catalina)

I installed XCode, CommandLineTools

I switched of SIP (csrutil disable / enable in a root prompt) to copy crt1* from the MacOSX 10.15 and re-enabled SIP

I then installed Lazarus 2.0.8 and FPC 3.2.0 from Sourceforge packages and started Lazarus from the Mac's Launcher

It wanted sources - I downloaded 3.2.0 from FTP server and extracted them where it expected them

Started Lazarus + it complained about Macroscript error - ignored that

Rebuild Normal IDE - it died in exactly the same place as always

Finally I ran...

lazbuild --build-ide=bigide --widgetset=cocoa --cpu=x86_64

Piping the output to a log file which you can find below

The relevant bit is lines almost right at the end that say...

(3104) Compiling ./cocoa/cocoascrollers.pas
/Library/Lazarus/lcl/interfaces/./cocoa/cocoascrollers.pas(53,15) Error: (3058) There is no method in an ancestor class to be overridden: "setDocumentView(id);"
/Library/Lazarus/lcl/interfaces/./cocoa/cocoascrollers.pas(53,15) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
/Library/Lazarus/lcl/interfaces/./cocoa/cocoascrollers.pas(53,15) Error: (5070) Mismatch between number of declared parameters and number of colons in message string.
/Library/Lazarus/lcl/interfaces/./cocoa/cocoascrollers.pas(159,1) Fatal: (10026) There were 3 errors compiling module, stopping
Fatal: (1018) Compilation aborted
lazarus.log (323,607 bytes)

Dmitry Boyarintsev

2020-06-23 01:06

developer   ~0123524

if you're keeping your SVN version at "/Library/Lazarus" did you run svn update there?

also, what is Lazarus directory set in
Preferences -> Environment -> Lazarus Directory
?

Simon Booth

2020-06-23 15:43

reporter   ~0123531

This attempt was completely without SVN, everything was from the ftp site as listed in the forums release notes. This test was tried on a Mac I'd just wiped in order to reset back to 'as new' which took hours

I had previously been using SVN but those sources, which I updated regularly, were all using the 3.2.0_Fixes branch

The files in currently in Download are...

-rw-r--r--@ 1 simon staff 200874139 Jun 22 19:30 LazarusIDE-2.0.8-macos-x86_64.pkg
-rw-r--r--@ 1 simon staff 185955891 Jun 22 19:29 fpc-3.2.0.intel-macosx.cross.ios.dmg
-rw-r--r--@ 1 simon staff 169412171 Jun 22 19:29 fpc-3.2.0.intel-macosx.dmg
-rw-r--r--@ 1 simon staff 52028183 Jun 22 22:10 fpc-3.2.0.source.tar.gz

(Not tried ios yet)

The location of Lazarus in Preferences is /Library/Lazarus which I changed ownership on for the above run. Basically I've put everything in it's default location

Using SVN or release it always fails an IDE build on line 53 of cocoascrollers.pas with the errors reported as above

Has anyone on the FPC dev team got a Mac? Specifically one with MacOSX 10.5.15 as the Apple Store tends to want everyone using latest SDKs

Dmitry Boyarintsev

2020-06-24 01:07

developer   ~0123539

please try to use Lazarus svn.
"Fixed in Revision" (63409) specifies the revision you should try IF you're using Lazarus trunk.
The change has also been also merged to Lazarus 2_0_fixes branch, so you can try it as well (but you might want to try the latest revision of it).

Keep in mind, that fixes pushed to trunk are not being automatically propagated to the pre-built packages.
Downloading and installing 2.0.8 Lazarus package will not help.

Simon Booth

2020-06-24 10:36

reporter   ~0123544

SVN 63429 build by fpcupdeluxe works

This was not true last week

Dmitry Boyarintsev

2020-06-25 03:46

developer   ~0123589

Last edited: 2020-06-25 03:46

View 2 revisions

it was not true the last week.
that's why the issue was resolved this week.

please test and close, if ok

Issue History

Date Modified Username Field Change
2020-05-25 04:08 Simon Booth New Issue
2020-06-07 05:12 Dmitry Boyarintsev Relationship added has duplicate 0037180
2020-06-07 05:13 Dmitry Boyarintsev Relationship added has duplicate 0037181
2020-06-07 05:15 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-06-07 05:15 Dmitry Boyarintsev Status new => acknowledged
2020-06-07 05:15 Dmitry Boyarintsev LazTarget => -
2020-06-07 05:15 Dmitry Boyarintsev Note Added: 0123287
2020-06-21 01:07 Dmitry Boyarintsev Status acknowledged => resolved
2020-06-21 01:07 Dmitry Boyarintsev Resolution open => fixed
2020-06-21 01:07 Dmitry Boyarintsev Fixed in Revision => 63409
2020-06-21 01:07 Dmitry Boyarintsev Note Added: 0123492
2020-06-22 01:45 Simon Booth Status resolved => assigned
2020-06-22 01:45 Simon Booth Resolution fixed => reopened
2020-06-22 01:45 Simon Booth Note Added: 0123508
2020-06-22 04:10 Dmitry Boyarintsev Status assigned => feedback
2020-06-22 04:10 Dmitry Boyarintsev Note Added: 0123509
2020-06-22 22:04 Bart Broersma Relationship added related to 0037236
2020-06-22 23:43 Simon Booth Note Added: 0123523
2020-06-22 23:43 Simon Booth File Added: lazarus.log
2020-06-22 23:43 Simon Booth Status feedback => assigned
2020-06-23 01:06 Dmitry Boyarintsev Note Added: 0123524
2020-06-23 01:06 Dmitry Boyarintsev Status assigned => feedback
2020-06-23 15:43 Simon Booth Note Added: 0123531
2020-06-23 15:43 Simon Booth Status feedback => assigned
2020-06-24 01:07 Dmitry Boyarintsev Note Added: 0123539
2020-06-24 01:07 Dmitry Boyarintsev Status assigned => resolved
2020-06-24 10:36 Simon Booth Note Added: 0123544
2020-06-25 03:46 Dmitry Boyarintsev Note Added: 0123589
2020-06-25 03:46 Dmitry Boyarintsev Note Edited: 0123589 View Revisions